@keyframes shimmer {
  0% {
    background-position: 200% 0;
  }
  100% {
    background-position: -200% 0;
  }
}

.zg-subcate-container {
  --zg-subcate-list-gap: 1.5rem;
  margin-bottom: 65px;
}

.zg-subcate.carousel__track {
  display: flex;
  gap: var(--zg-subcate-list-gap);
}

.zg-subcate .zg-subcate__link-img {
  background: #F5F5F5;
  width: 100%;
  aspect-ratio: 1;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}
.zg-subcate .zg-subcate__link-text {
  display: block;
  margin-top: 12px;
  font-size: 15px;
  line-height: 18px;
}

.zg-subcate .zg-subcate__link-text:hover {
  text-decoration: underline;
}

.zg-subcate .qd-custom-product-card:hover .zg-subcate__link-text {
  text-decoration: underline;
}

.zg-subcategory-arrows .qd-image-with-text-slideshow__pager--arrow {
  position: absolute;
  justify-content: space-between;
  top: 50%;
  transform: translateY(-50%);
}

.zg-subcategory-arrows .qd-image-with-text-slideshow__pager--arrow[name="previous"] {
  left: 20px;
}
.zg-subcategory-arrows .qd-image-with-text-slideshow__pager--arrow[name="next"] {
  right: 20px;
}

.zg-subcate-list {
  position: relative;
  width: 100%;
  display: block;
  height: fit-content;
}

.zg-subcate .qd-custom-product-card {
  width: 100%;
}

.zg-subcate__link-text.placeholder {
  /* background-color: #F5F5F5; */
  height: 20px;
  background: linear-gradient(90deg, #f0f0f0 25%, #e0e0e0 50%, #f0f0f0 75%);
  background-size: 200% 100%;
  animation: shimmer 1.5s infinite;
  border-radius: 4px;
}

.qd-image-with-text-slideshow__item {
  width: 100%;
}

.qd-image-with-text-slideshow__pager--arrow .arrow-wrap {
  height: 40px;
  width: 40px;
  font-size: 40px;
  background-color: rgba(255, 255, 255, 0.75);
  border: 1px solid silver;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
  cursor: pointer;
  z-index: 2;
  border-radius: 50%;
}
.qd-image-with-text-slideshow__pager--arrow .arrow-wrap:hover {
  background-color: rgba(200, 200, 200, 0.75);
}

.qd-image-with-text-slideshow__pager--arrow .arrow-wrap svg {
  color: #333;;
}

.qd-image-with-text-slideshow__pager--arrow[name="previous"] .arrow-wrap {
  transform: rotate(90deg);
}
.qd-image-with-text-slideshow__pager--arrow[name="next"] .arrow-wrap {
  transform: rotate(-90deg);
}

@media (min-width: 1920px)  {
  .zg-subcate .slideshow__item{
    width: 270px;
  }
}
@media (min-width: 1025px) and (max-width: 1921px)  {
  .zg-subcate .slideshow__item{
    width: calc((1800px - var(--page-padding) * 2 - var(--zg-subcate-list-gap) * 6) / 6.5);
  }
}

@media (min-width: 769px) and (max-width: 1024px) {
  .zg-subcate .slideshow__item{
    width: calc((100vw - var(--page-padding) * 2 - var(--zg-subcate-list-gap) * 4) / 4.5);
  }
}

@media (max-width: 768px) {
  .zg-subcate .slideshow__item{
    width: calc((100vw - var(--page-padding) * 2 - var(--zg-subcate-list-gap) * 1) / 2.5);
  }
  .zg-subcate .zg-subcate__link-text {
    margin-top: 8px;
  }
  .zg-subcate-container {
    --zg-subcate-list-gap: 12px;
    margin-bottom: 46px;
  }

  .qd-image-with-text-slideshow__pager--arrows {
    inset-inline: auto 20px;
  }

  .qd-image-with-text-slideshow__pager--arrow{
    display: none!important;
  }

  .qd-image-with-text-slideshow__pager--arrow svg {
    width: 10px;
    height: 10px;
  }
}

@media (max-width: 959px) {
  .zg-subcate-list[data-overflow="true"] {
    .zg-subcate.carousel__track {
      margin-right: calc(-1 * var(--page-padding));
    }
  }
  .zg-subcategory-arrows.zg-pager--arrow {
    display: none;
  }
}
